<?php
#----------------------------------------------------------#
# トップページ
#----------------------------------------------------------#
function indexR(){
global$disp,$Q,$SET;
#--------------------------------------#
# データチェック
#--------------------------------------#
$db=sql_open();
#--------------------------------------#
# HTML
#--------------------------------------#
if($_COOKIE[id]&&$_COOKIE[pass]){
$bt_login=<<<EOF
<input type="button" value="ログイン" onclick="location.href='$SET[path_index]?r=login';">
EOF;
}else{
$bt_login=<<<EOF
<input type="button" value="新規登録" onclick="location.href='$SET[path_index]?r=id_make';">
<input type="button" value="ログイン" onclick="location.href='$SET[path_index]?r=ck_in';">
EOF;
}
#--------------------------------------#
# 戦績
#--------------------------------------#
$html_result="<table align=center>\n";
$GAME_LIST=array();
$sql=mysql_query("SELECT * FROM game");
while($GAME=mysql_fetch_assoc($sql)){
	$GAME_LIST[$GAME[id]]=1;
}
krsort($GAME_LIST);
$n=0;
foreach($GAME_LIST as $time=>$val){
	$GAME=read_data('game',$time);
	$PD=read_data('player',$GAME[pid]);
	$OD=read_data('player',$GAME[oid]);
	$html_flag_urlP=icon_url($PD[5]);$html_flag_urlO=icon_url($OD[5]);
	$html_result.="<tr style='text-align:center;' title=\"".html_time($time,2)." $PD[1] vs $OD[1]\"><td>";
	#<td style='text-align:left;'>".html_time($time,2)."</td>
	if($GAME[ppt]>$GAME[opt]){
		$html_result.="○";
	}elseif($GAME[ppt]<$GAME[opt]){
		$html_result.="●";
	}else{
		$html_result.="△";
	}
	$html_result.="</td><td>$PD[1]</td><td><img src='$html_flag_urlP' height=$SET[icon_h_m] title='$PD[1]'></td>";
	#戦績表示
	$filename='game'.$time.'.html';
	if(file_exists($filename)){
		$html_result.="<td><a href='$filename' target='_blank'><b>$GAME[ppt]-$GAME[opt]</b></a></td>";
	}else{
		$html_result.="<td><b>$GAME[ppt]-$GAME[opt]</b></td>";
	}
	$html_result.="<td><img src='$html_flag_urlO' height=$SET[icon_h_m] title='$OD[1]'></td><td>$OD[1]</td><td>";
	if($GAME[ppt]>$GAME[opt]){
		$html_result.="●";
	}elseif($GAME[ppt]<$GAME[opt]){
		$html_result.="○";
	}else{
		$html_result.="△";
	}
	$html_result.="</td></tr>\n";
	$n++;
	if($n>=5){break;}
}
$html_result.="</table>\n";
#--------------------------------------#
# RANK
#--------------------------------------#
$TIME=read_data('time','time');
$sql=mysql_query("SELECT * FROM team");
while ($OTM=mysql_fetch_assoc($sql)){
	$OL=read_data('player',$OTM[id]);
	#勝率
	if($OTM[2]&&$OTM[2]!=$OTM[5]){
		$RES=$OTM[3];
	}else{
		$RES=0;
	}
	$RES_WINPER[$OTM[id]]=AVE(($OTM[2]-$OTM[5]),$OTM[3]);
	#集約
	if($OL[20]==1){
		$RES1[$RES]=SET_STR_AR($RES1,$RES,$OTM[id],'!');
	}elseif($OL[20]==2){
		$RES2[$RES]=SET_STR_AR($RES2,$RES,$OTM[id],'!');
	}elseif($OL[20]==3){
		$RES3[$RES]=SET_STR_AR($RES3,$RES,$OTM[id],'!');
	}
}
#--------------------------------------#
# 順位データ出力
#--------------------------------------#
$html_rank1=rank_set($RES1,1);
$html_rank2=rank_set($RES2,2);
$html_rank3=rank_set($RES3,3);
#--------------------------------------#
# 告知
#--------------------------------------#
$sql=mysql_query("SELECT * FROM notice");
$n=0;$NOTICE=array();
while ($NOT=mysql_fetch_assoc($sql)){
	$NOTICE[$n]=$NOT[id];
	$n++;
}
arsort($NOTICE);
$n=1;
foreach($NOTICE as $no=>$time){
	$NOT=read_data('notice',$time);
	$html_notn='';
	if((time()-$NOT[id])<=86400*3){
		$html_notn="&nbsp;<img src='$SET[dir_img]/new.gif' alt='new icon' style='width:28px;height:11px;'>";
	}
	$html_notice.="<tr onclick=\"javascript:notice($NOT[id]);\" class=tn><td style=\"width:310px;padding:0 0 0 5px;\">".$NOT[title].$html_notn.'</td><td style="width:150px;">'.html_time($NOT[id],1).'</td></tr>';
	$html_notice.="<tr><td colspan=2 class=tnu id='$NOT[id]' style='display:none;padding:5 5px 5 5px;font-size:12px;'>$NOT[html]</td></tr>";
	$html_notice.="</tr>\n";
	if($n>10){break;}
}

if($html_notice){
	$html_notice="<table>$html_notice</table>";
}else{
	$html_notice="表示するものはありません。";
}
#--------------------------------------#
sql_close($db);
#--------------------------------------#
$disp.=head();
$disp.=<<<EOF
<script type="text/javascript">
 <!--
  function notice(times){
	if(document.getElementById(times).style.display=='none'){
		document.getElementById(times).style.display='block';
	}else{
		document.getElementById(times).style.display='none';
	}
}
//-->
</script>
EOF;
$disp.=html_bar();
$disp.=title(1);
$disp.=<<<EOF
<tr style="vertical-align:top;"><td style="width:200px;">
<!--SH STA-->
<table width=100%>
<tr><td class=tc>
<div class=tt>ログイン</div>
<div style="text-align:center;">
$bt_login
</div>
</td></tr>
<tr><td class=tc>
<div class=tt>baseball online</div>
<li><a href="./manual/" target="_blank">説明書</a></li>
<li><a href="./manual/terms.html" target="_blank">野球用語</a></li>
</td></tr>
</table>
<!--SH END-->
</td><td style="width:510px;">
<!--MH STA-->
<table width=100%>
<tr><td class=tc colspan=2  style="width:500px;">
<div class=tt>順位&nbsp;&nbsp;<a href="$SET[path_index]?r=team_rank" style="font-size:12px;">&gt;&gt;&nbsp;more</a></div>
<table align=center>
<tr><th>順位</th><th colspan=3>名前</th><th>勝率</th><th>試合</th><th>勝</th><th>敗</th><th>分</th><th>得点</th><th>失点</th><th>得失</th></tr>
$html_rank3
</table>
</td></tr><tr><td class=tc colspan=2>
<div class=tt>最近5試合の結果&nbsp;&nbsp;<a href="$SET[path_index]?r=team_game" style="font-size:12px;">&gt;&gt;&nbsp;more</a></div>
$html_result
</td></tr>
<tr><td class=tc colspan=2>
<div class=tt>更新情報(10件)&nbsp;&nbsp;<a href="$SET[path_index]?r=notice" target="_blank" style="font-size:12px;">&gt;&gt;&nbsp;more</a></div>
$html_notice
</td></tr>
</table>
</td></tr>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
# 順位表示
#----------------------------------------------------------#
function rank_set($RES,$L){
global$D,$RES_WINPER,$SET,$disp;
if($RES){
	$no=1;
	krsort($RES);
	foreach($RES as $key=>$val){
		$IDs=explode('!',$val);
		$RESP=array();
		foreach($IDs as $ID){
			$OTM=read_data('team',$ID);
			$PWINPER=AVE(($OTM[2]-$OTM[5]),$OTM[3]);
			$RESP["$PWINPER"]=SET_STR_AR($RESP,$PWINPER,$ID,'!');
		}
		krsort($RESP);
		foreach($RESP as $WINPER=>$val){
			$IDt=explode('!',$val);
			$n=0;
			###外へ呼び出し
			if($L==3&&$no==1){
				$D[rank_no1]=$val;
			}
			#同率
			if(count($IDt)>1){
				$RESPS=array();
				foreach($IDt as $key=>$val){
					$OTM=read_data('team',$val);
					$RESPS[$val]=($OTM[6]-$OTM[7]);
				}
				arsort($RESPS);
				foreach($RESPS as $key=>$val){
					$OL=read_data('player',$key);
					$OTM=read_data('team',$key);
					$html_flag_url=icon_url($OL[5]);$html_icon_url=icon_url($OL[6]);
					#表示
					$html_rank.="<tr style='text-align:center;'><td>";
					if($n!=0){
						$html_rank.="〃";
					}else{
						$html_rank.="$no";
					}
					$html_rank.="</td><td>$OL[1]</td><td><img src='$html_flag_url' height=$SET[icon_h_m] title='$OL[1]'></td><td><img src='$html_icon_url' height=$SET[icon_h_m] title='$OL[0]'></td>";
					$html_rank.="<td>$WINPER</td><td>$OTM[2]</td><td>$OTM[3]</td><td>$OTM[4]</td><td>$OTM[5]</td><td>$OTM[6]</td><td>$OTM[7]</td><td>".($OTM[6]-$OTM[7])."</td></tr>\n";
					$n++;
					$no++;
				}
			}else{
				$OL=read_data('player',$val);
				$OTM=read_data('team',$val);
				$html_flag_url=icon_url($OL[5]);$html_icon_url=icon_url($OL[6]);
				#表示
				$html_rank.="<tr style='text-align:center;'><td>$no</td>";
				$html_rank.="<td>$OL[1]</td><td><img src='$html_flag_url' height=$SET[icon_h_m] title='$OL[1]'></td><td><img src='$html_icon_url' height=$SET[icon_h_m] title='$OL[0]'></td>";
				$html_rank.="<td>$WINPER</td><td>$OTM[2]</td><td>$OTM[3]</td><td>$OTM[4]</td><td>$OTM[5]</td><td>$OTM[6]</td><td>$OTM[7]</td><td>".($OTM[6]-$OTM[7])."</td></tr>\n";
				$no++;
			}
			if($OL[20]==3&&$no>10){
				break 2;
			}
		}
	}
	return $html_rank;
}
}
#----------------------------------------------------------#
# 資料室
#----------------------------------------------------------#
function documentR(){
global$disp,$Q,$SET;
#--------------------------------------#
# データチェック
#--------------------------------------#
$db=sql_open();
check_id($_COOKIE[id],$_COOKIE[pass]);
$PL=read_data('player',$_COOKIE[id]);
$title=title($_COOKIE[id]);
sql_close($db);
#--------------------------------------#

$disp.=head();
$disp.=html_bar();
$disp.=$title;
$disp.=<<<EOF
<tr><td colspan=2>
<b>資料室</b><blockquote>
<li><a href="./document/exp.html" target="_blank">選手の成長に必要なEXP</a></li>
</blockquote>
</td></tr>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
# 参考資料
#----------------------------------------------------------#
function copyrightR(){
global$disp,$Q,$SET;
#--------------------------------------#
# データチェック
#--------------------------------------#
$db=sql_open();
check_id($_COOKIE[id],$_COOKIE[pass]);
$PL=read_data('player',$_COOKIE[id]);
$title=title($_COOKIE[id]);
sql_close($db);
#--------------------------------------#

$disp.=head();
$disp.=html_bar();
$disp.=$title;
$disp.=<<<EOF
<tr><td colspan=2>
<b>使用画像・参考資料</b><blockquote>
<table>
<tr><th colspan=2>サイト名</th><th>ＵＲＬ</th><th>使用用途</th></tr>
<tr><td>1</td><td>Subtle Patterns</td><td><a href="http://subtlepatterns.com/" target="_blank">URL</a></td><td>背景画像</td></tr>
<tr><td>2</td><td>野球 守備フォーメーション</td><td><a href="http://formation.kbaseball.net/" target="_blank">URL</a></td><td>守備体系</td></tr>
<tr><td>3</td><td>jQuery + Ajax 実践サンプル集</td><td><a href="http://jsajax.com/Articles/DropDownMenu/286" target="_blank">URL</a></td><td>メニューバー</td></tr>
<tr><td>4</td><td colspan=2>Hardyck, C.et al,(1977) Psychological Bulletin, 84, 385～404.</td><td>左投8～15%資料</td></tr>
<tr><td>5</td><td>打順とポジションと打席の相関関係を検証</td><td><a href="http://www5a.biglobe.ne.jp/~rojiura/menue/topic/l_r/index.htm" target="_blank">URL</a></td><td>左打35%の資料(高校野球)</td></tr>
<tr><td>6</td><td>カラーコード</td><td><a href="http://www.finitojapan.com/cltable.html" target="_blank">URL</a></td><td>カラーコード</td></tr>
<tr><td>7</td><td>PawaOnline</td><td>閉鎖済</td><td>キャラアイコン、点数表示</td></tr>
<tr><td>8</td><td>みずいろのきせつ</td><td>閉鎖済</td><td>キャラアイコン</td></tr>
<tr><td>9</td><td>スタジオぱわ。</td><td><a href="http://www.jtw.zaq.ne.jp/cfbju805/studio_pawa/" target="_blank">URL</a></td><td>キャラアイコン</td></tr>
<tr><td>10</td><td>まさにゃんのサクセス日誌</td><td>閉鎖済</td><td>調子アイコン</td></tr>
<tr><td>11</td><td>にぃんのブログ・カスタマイズ+α</td><td>閉鎖済</td><td>！アイコン</td></tr>
<tr><td>12</td><td>アメリカ各州旗</td><td><a href="http://www.iconspedia.com/pack/50-states-2053/" target="_blank">URL</a></td><td>チーム旗</td></tr>
<tr><td>13</td><td>日本都道府県旗</td><td><a href="http://onhuu.com/" target="_blank">URL</a></td><td>チーム旗</td></tr>
<tr><td>14</td><td>旭川ドリームスタジアム</td><td><a href="http://www.city.asahikawa.hokkaido.jp/files/kouenmidori/tsp/baseball.htm" target="_blank">URL</a></td><td>球場見取り図</td></tr>
<tr><td>15</td><td>2ちゃんねる顔文字辞書 MatsuCon</td><td><a href="http://matsucon.net/" target="_blank">URL</a></td><td>キャラアイコン</td></tr>
<tr><td>16</td><td>MixHearts</td><td><a href="http://mixhearts.jimdo.com/" target="_blank">URL</a></td><td>キャラアイコン</td></tr>
<tr><td>17</td><td>ドラクエMATERIAL</td><td><a href="http://dorakuem.fc2web.com/" target="_blank">URL</a></td><td>キャラアイコン</td></tr>
<tr><td>18</td><td>Smilingface</td><td><a href="http://smile0123.fc2web.com/sozai_doraemon.html" target="_blank">URL</a></td><td>キャラアイコン</td></tr>
<tr><td>19</td><td>アイコン脳徒＆ドット絵脳徒</td><td><a href="http://llllllllllllllll.ojaru.jp" target="_blank">URL</a></td><td>キャラアイコン</td></tr>
<tr><td>20</td><td>有限会社パラ</td><td><a href="http://upara3.web.fc2.com/" target="_blank">URL</a></td><td>キャラアイコン</td></tr>
<tr><td>21</td><td>IMPURITY EDEN</td><td><a href="http://web1.nazca.co.jp/eden2/" target="_blank">URL</a></td><td>キャラアイコン</td></tr>
<tr><td>22</td><td>AngelVoice</td><td><a href="http://www10.plala.or.jp/angelvoice/" target="_blank">URL</a></td><td>キャラアイコン</td></tr>
<tr><td>23</td><td>EPSフリー素材.jp</td><td><a href="http://freesozai.jp/" target="_blank">URL</a></td><td>チーム旗</td></tr>
</table>
</blockquote>
<b>CopyRight</b><blockquote>
"baseball online" Copyright &copy; 2012-2013 R All Rights Reserved.
</blockquote>
</td></tr>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
# ICON
#----------------------------------------------------------#
function iconR(){
global$disp,$Q,$SET;
#--------------------------------------#
# データチェック
#--------------------------------------#
$db=sql_open();
check_id($_COOKIE[id],$_COOKIE[pass]);
$PL=read_data('player',$_COOKIE[id]);
$title=title($_COOKIE[id]);
sql_close($db);
#--------------------------------------#
# ICON表示
#--------------------------------------#
$D[no]=$Q[no];				#現在のページ
if(!$D[no]){$D[no]=0;}
$D[pnum]=99;				#1ページ当たりに表示する個数
$D[wnum]=9;				#横に並べる個数
#リスト化
$i=0;$c=0;
foreach($SET[list_icon] as $icon){
	if(($D[no]*$D[pnum])<=$i&&$i<(($D[no]+1)*$D[pnum])){
		$c++;
		if($c==1){
			$list_icon.="<tr style='text-align:center;'>";
		}
		$list_icon.="<td>";
		$list_icon.="<img src='".icon_url($icon)."' height=$SET[icon_h] title='$i'><br>";
		$list_icon.="No.$i";
		$list_icon.="</td>";
		if($c==$D[wnum]){
			$list_icon.="</tr>\n";
			$c=0;
		}
	}
	$i++;
}
#
$D[pages]=floor($i/$D[pnum]);
#表示
if($list_icon){
	#BT
	if($D[no]==0){
		$icon_bt.="<input type=button value='&lt;&lt;' disabled>";
	}else{
		$icon_bt.="<input type=button value='&lt;&lt;' onclick='location.href=\"$SET[path_index]?r=icon&no=".($D[no]-1)."\"'>";
	}

	if($D[no]==$D[pages]){
		$icon_bt.="<input type=button value='&gt;&gt;' disabled>";
	}else{
		$icon_bt.="<input type=button value='&gt;&gt;' onclick='location.href=\"$SET[path_index]?r=icon&no=".($D[no]+1)."\"'>";
	}
	$icon_bt.="&nbsp;pages $D[no]/$D[pages]";
#
$html_icon=<<<EOF
$icon_bt
<table>
$list_icon
</table>
$icon_bt
EOF;

}else{
	$html_icon="表示するものがありません。";
}
#--------------------------------------#

$disp.=head();
$disp.=html_bar();
$disp.=$title;
$disp.=<<<EOF
<tr><td colspan=2>
<b>キャラクタアイコン表示</b><blockquote>
$html_icon
</blockquote>
</td></tr>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
# FLAG
#----------------------------------------------------------#
function flagR(){
global$disp,$Q,$SET;
#--------------------------------------#
# データチェック
#--------------------------------------#
$db=sql_open();
check_id($_COOKIE[id],$_COOKIE[pass]);
$PL=read_data('player',$_COOKIE[id]);
$title=title($_COOKIE[id]);
sql_close($db);
#--------------------------------------#
# FLAG表示
#--------------------------------------#
$D[no]=$Q[no];				#現在のページ
if(!$D[no]){$D[no]=0;}
$D[pnum]=64;				#1ページ当たりに表示する個数
$D[wnum]=8;				#横に並べる個数
#リスト化
$i=0;$c=0;
foreach($SET[list_flag] as $icon){
	if(($D[no]*$D[pnum])<=$i&&$i<(($D[no]+1)*$D[pnum])){
		$c++;
		if($c==1){
			$list_icon.="<tr style='text-align:center;'>";
		}
		$list_icon.="<td>";
		$list_icon.="<img src='".icon_url($icon)."' height=$SET[icon_h] title='$i'><br>";
		$list_icon.="No.$i";
		$list_icon.="</td>";
		if($c==$D[wnum]){
			$list_icon.="</tr>\n";
			$c=0;
		}
	}
	$i++;
}
#
$D[pages]=floor($i/$D[pnum]);
#表示
if($list_icon){
	#BT
	if($D[no]==0){
		$icon_bt.="<input type=button value='&lt;&lt;' disabled>";
	}else{
		$icon_bt.="<input type=button value='&lt;&lt;' onclick='location.href=\"$SET[path_index]?r=flag&no=".($D[no]-1)."\"'>";
	}

	if($D[no]==$D[pages]){
		$icon_bt.="<input type=button value='&gt;&gt;' disabled>";
	}else{
		$icon_bt.="<input type=button value='&gt;&gt;' onclick='location.href=\"$SET[path_index]?r=flag&no=".($D[no]+1)."\"'>";
	}
	$icon_bt.="&nbsp;pages $D[no]/$D[pages]";
#
$html_icon=<<<EOF
$icon_bt
<table>
$list_icon
</table>
$icon_bt
EOF;

}else{
	$html_icon="表示するものがありません。";
}
#--------------------------------------#

$disp.=head();
$disp.=html_bar();
$disp.=$title;
$disp.=<<<EOF
<tr><td colspan=2>
<b>チーム旗表示</b><blockquote>
$html_icon
</blockquote>
</td></tr>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
?>